#include <print>

import Vehicle;

// Anzahl der Fahrzeuge
constexpr int ANZFZ = 4;

int main()
{
    // Feld fuer 3 Fahrzeuge anlegen
    Vehicle *fahrzeuge[ANZFZ];
    // Nun die Fahrzeuge anlegen und im Feld abspeichern
    fahrzeuge[0] = new Electric("VW", "IQ.3", 58);
    fahrzeuge[1] = new Petrol("Porsche", "911", 90);
    fahrzeuge[2] = new Electric("Renault", "ZOE", 52);
    fahrzeuge[3] = new Petrol("BMW", "M3", 59);
    // Ausgabe der Fahrzeugdaten
    std::println("Fahrzeuge:");
    for(const auto& fz: fahrzeuge)
        fz->Print();
    // Fahrzeuge auch wieder aufraeumen
    for (auto& elem: fahrzeuge)
        delete elem;
}
